#!/bin/bash

set -e

tmp=$(mktemp -d)

trap cleanup EXIT
cleanup() {
    set +e
    [ -z "$tmp" -o ! -d "$tmp" ] || rm -rf "$tmp"
}

unset CDPATH
pwd=$(pwd)
name=kguitar

cd "$tmp"
svn=$(svn export https://kguitar.svn.sourceforge.net/svnroot/kguitar/trunk/kguitar $name |grep "Exported revision"|sed 's|[^0-9]*||g')
cd $name
version=$(cat VERSION| sed 's|[^0-9]*||')
cd ..
tar jcf "$pwd"/$name-$version-"$svn"svn.tar.bz2 $name
echo "Wrote: " $name-$version-"$svn"svn.tar.bz2
cd - >/dev/null
